<!doctype html>
{% load static %}
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap"
          rel="stylesheet">
  <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" />
  <link rel="stylesheet" href="{%static 'story8/animations.css'%}"/>
  <title>BookSearch</title>
</head>

<body>
  <nav class="shadow navbar navbar-expand-lg navbar-dark justify-content-between sticky-top" style="background-color:rgba(39,54,74,0.2)">
    <a class="navbar-brand text-light">Spellbook Library</a>
    <div class="d-flex flex-row">
    {% if request.user.is_authenticated %}
      <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search" id="search-query">
      <button class="btn btn-outline-light my-2 my-sm-0" id="search">Search</button>
      <a class="btn btn-warning-light my-2 ml-2 my-sm-0" href="{% url 'story9:logout' %}">Logout</a>
    {% elif not request.user.is_authenticated %}
      <a class="btn btn-success my-2 my-sm-0" href="{% url 'story9:login' %}">Login</a>
    {% endif %}
    </div>
  </nav>
  <div class="d-flex justify-content-center my-3">
  {% if not request.user.is_authenticated %}
    <div class="border-right pr-2 mr-2">
      <h1 class="text-light">Spellbook</h1>
      <h1 class="text-light text-right">Library</h1>
    </div>
    <div class="pr-2 mr-2">
      <h3 class="text-light" style="max-width:30rem">Database
        provided by GoogleApi.
        made by Ahmad Haydar Alkaf for Story 8.</h3>
    {% elif request.user.is_authenticated %}
      <h3 class="text-light" style="max-width:30rem">Welcome {{request.user.username}}</h3>
    {% endif %}
    </div>
  </div>

  <div class="d-flex flex-column" id="results">

  </div>
  <!-- Optional JavaScript -->
  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  <script src="{% static 'story8/searchengine.js' %}"></script>
</body>
</html>